Skip to main content
`Ctrl`+`K`

# SNESNGMRESRestartType

the restart approach used by `SNESNGMRES`

## Values

- `SNES_NGMRES_RESTART_NONE` - never restart

- `SNES_NGMRES_RESTART_DIFFERENCE` - restart based upon difference criteria

- `SNES_NGMRES_RESTART_PERIODIC` - restart after a fixed number of iterations

## Options Database Keys

- -snes_ngmres_restart_type (difference|periodic|none) - set the restart type

- -snes_ngmres_restart 30 - sets the number of iterations before restart for periodic

## See Also

`SNES`, `SNESNGMRES`, `SNESNGMRESSetSelectType()`, `SNESNGMRESGetSelectType()`, `SNESNGMRESSetRestartType()`, `SNESNGMRESGetRestartType()`, `SNESNGMRESSelectType`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages